Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util
Class AuditEventHandler

All Known Implementing Classes:
  AuditEventHandlerAdapter, CrawlerHandler, InterMediaAnnotationHandler, RuntimeStateHandler, ScriptHandler

    public interface class AuditEventHandler

Processes audit event occurrences and timer expirations for internal AuditHandlerSpecifications.

Implementations are server plug-ins that perform custom processing of registered events or periodic processing at specified time intervals. This interface is analogous to oracle.ifs.fdk.EventHandler.

Method Summary
`void` | `handleDispose(AuditEventHandlerContext context)` Called when the AuditEventHandler instance will no longer be used.
`void` | `handleEventPosted(AuditEventHandlerContext context)` Called when at least one registered event is posted.
`void` | `handleInitialize(AuditEventHandlerContext context)` Initializes this AuditEventHandler.
`void` | `handleTimerExpired(AuditEventHandlerContext context)` Called when the timer for this AuditEventHandler expires.

Method Detail

### handleInitialize

    void handleInitialize(AuditEventHandlerContext context)
                          throws java.lang.Exception

  Description copied from interface: `AuditEventHandler`
  Initializes this AuditEventHandler.

  Called immediately after construction.

  Parameters:
    `context` - the AuditEventHandlerContext to use for processing
  Throws:
    `java.lang.Exception` - if the operation fails

### handleEventPosted

    void handleEventPosted(AuditEventHandlerContext context)
                           throws java.lang.Exception

  Description copied from interface: `AuditEventHandler`
  Called when at least one registered event is posted.

  Parameters:
    `context` - the AuditEventHandlerContext to use for processing
  Throws:
    `java.lang.Exception` - if the operation fails

### handleTimerExpired

    void handleTimerExpired(AuditEventHandlerContext context)
                            throws java.lang.Exception

  Description copied from interface: `AuditEventHandler`
  Called when the timer for this AuditEventHandler expires.

  Parameters:
    `context` - the AuditEventHandlerContext to use for processing
  Throws:
    `java.lang.Exception` - if the operation fails

### handleDispose

    void handleDispose(AuditEventHandlerContext context)
                       throws java.lang.Exception

  Description copied from interface: `AuditEventHandler`
  Called when the AuditEventHandler instance will no longer be used.

  The instance should release any resources it is holding that would not be automatically released as part of the object's garbage collection.

  Parameters:
    `context` - the AuditEventHandlerContext to use for processing
  Throws:
    `java.lang.Exception` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD